Index: /locker/deploy/bin/mediawiki
===================================================================
--- /locker/deploy/bin/mediawiki	(revision 455)
+++ /locker/deploy/bin/mediawiki	(revision 456)
@@ -1,5 +1,5 @@
 #!/usr/bin/perl
 use strict;
-use lib '/mit/scripts/deploy/bin';
+use lib '/mit/scripts/deploydev/bin';
 use onserver;
 
@@ -14,5 +14,5 @@
 totmp("-d \"Sitename=$title&EmergencyContact=$USER\@mit.edu&LanguageCode=en&DBserver=$sqlhost&DBname=$sqldbcurl&DBuser=$sqluser&DBpassword=$sqlpass&DBpassword2=$sqlpass&defaultEmail=$USER\@mit.edu&SysopName=$admin_username&SysopPass=$admin_password&SysopPass2=$admin_password\"");
 `curl -K $tmp http://$server/~$USER/$addrend/config/index.php`; 
-`patch includes/Setup.php /mit/scripts/deploy/mediawiki.patch >/dev/null`;
+`patch -p1 < /mit/scripts/deploy/mediawiki.patch >/dev/null`;
 `cp config/LocalSettings.php .`;
 `rm -rf contrib`;
Index: /locker/deploy/bin/onathena
===================================================================
--- /locker/deploy/bin/onathena	(revision 455)
+++ /locker/deploy/bin/onathena	(revision 456)
@@ -7,4 +7,13 @@
   fi
 }
+
+die() {
+  echo "== INSTALLATION FAILED =="
+  echo "Sorry, the installation failed:"
+  echo "$@"
+  echo "Please contact scripts@mit.edu and provide a copy of the output of this installer."
+  exit 1
+}
+  
 
 sshrun() {
@@ -30,11 +39,11 @@
 }
 
-#if [ "$override" = "" ]; then
-#echo "The scripts.mit.edu automatic installers are currently unavailable."
-#echo "We hope to make them available again soon."
-#echo "If you would like us to notify you as soon as they are available again,"
-#echo "let us know by sending us an e-mail at scripts@mit.edu"
-#exit 
-#fi
+if [ "$override" = "" ]; then
+echo "The scripts.mit.edu automatic installers are currently unavailable."
+echo "We hope to make them available again soon."
+echo "If you would like us to notify you as soon as they are available again,"
+echo "let us know by sending us an e-mail at scripts@mit.edu"
+exit 
+fi
 
 echo 
@@ -216,5 +225,5 @@
 cd $origdir
 
-sshrun "deploy$scriptsdev/bin/$deploy '$sname' '$deploy' '$addrend' '$admin_username' '$requires_sql' '$scriptsdev' '$USER'"
+vsshrun "deploy$scriptsdev/bin/$deploy '$sname' '$deploy' '$addrend' '$admin_username' '$requires_sql' '$scriptsdev' '$USER'" || die "Unknown failure during configuration"
 rm -f /$lroot/web_scripts/$addrend/.scripts-tmp
 checkfailed
Index: /locker/deploy/bin/onserver.pm
===================================================================
--- /locker/deploy/bin/onserver.pm	(revision 455)
+++ /locker/deploy/bin/onserver.pm	(revision 456)
@@ -2,4 +2,10 @@
 use strict;
 use Exporter;
+use Sys::Hostname;
+use File::Spec::Functions;
+use File::Basename;
+use Socket;
+use Cwd qw(abs_path);
+use POSIX qw(strftime);
 our @ISA = qw(Exporter);
 our @EXPORT = qw(setup totmp print_login_info press_enter $server $tmp $USER $HOME $sname $deploy $addrend $admin_username $requires_sql $addrlast $sqlhost $sqluser $sqlpass $sqldb $sqldbcurl $admin_password $scriptsdev $human);
@@ -20,4 +26,14 @@
   print "  username: $admin_username\n";
   print "  password: $admin_password\n";
+}
+
+sub getclienthostname {
+    if (my $sshclient = $ENV{"SSH_CLIENT"}) {
+	my ($clientip) = split(' ', $sshclient);
+	my $hostname = gethostbyaddr(inet_aton($clientip), AF_INET);
+	return $hostname || $clientip;
+    } else {
+	return hostname();
+    }
 }
 
@@ -71,6 +87,16 @@
   print "\nConfiguring $sname...\n";
   
-  `date > .scripts-version`;
-  `stat /mit/scripts/deploy$scriptsdev/$deploy.tar.gz >> .scripts-version`;
+  open(VERSION, ">.scripts-version") or die "Can't write scripts-version file: $!\n";
+  print VERSION strftime("%F %T %z\n", localtime);
+  print VERSION $ENV{'USER'}, '@', getclienthostname(), "\n";
+  my $tarball = abs_path("/mit/scripts/deploy$scriptsdev/$deploy.tar.gz");
+  print VERSION $tarball, "\n";
+  $tarball =~ s|/deploydev/|/deploy/|;
+  print VERSION dirname($tarball), "\n";
+  close(VERSION);
+  if (0) {
+      `date > .scripts-version`;
+      `stat /mit/scripts/deploy$scriptsdev/$deploy.tar.gz >> .scripts-version`;
+  }
 
   select STDOUT;
